# $Revision: 1.44 $, $Date: 2002/09/07 19:15:11 $
Summary:	gentoo is a Gtk+ file manager for Linux
Summary(pl):	gentoo jest opartym na Gtk+ zarzdc plikw pod Linuksa
Name:		gentoo
Version:	0.11.34
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://prdownloads.sourceforge.net/gentoo/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://www.obsession.se/gentoo/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	libtool
Requires:	file
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_prefix		/usr/X11R6
%define 	_mandir 	%{_prefix}/man
%define		_sysconfdir	/etc/X11

%description
gentoo is a file manager for Linux written from scratch in pure C. It
uses the GTK+ toolkit for all of its interface needs. gentoo provides
100%% GUI configurability; no need to edit config files by hand and
re- start the program. gentoo supports identifying the type of various
files (using extension, regular expressions, and/or the 'file'
command), and can display files of different types with different
colors and icons. gentoo borrows some of its look and feel from the
classic Amiga file manager "Directory OPUS"(TM) (written by Jonathan
Potter).

%description -l pl
gentoo jest zarzdc plikw dla Linuksa napisanym 'od zera' w czystym
C. Uywa zestawu narzdzi GTK+ do zaspokojenia wszystkich potrzeb
zwizanych z interfejsem. gentoo zapewnia 100%-ow konfigurowalno
graficznego interfejsu; nie ma potrzeby rcznego edytowania plikw
konfiguracyjnch i ponownego uruchamiania programu. gentoo dostarcza
identyfikacj typw rnych plikw (uywajc rozszerzenia, wyrae
regularnych i/lub polecenia 'file') oraz potrafi wywietla pliki
rnego typu w rnych kolorach i z rnymi ikonami. gentoo zapoycza
troch ze swojego wygldu od klasycznego zarzdcy plikw Amigi --
"Directory OPUS"(TM) (napisanego przez Jonathana Pottera).

%prep
%setup -q

%build
rm -f missing
%{__gettextize}
aclocal
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,%{_applnkdir}/Utilities,%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install docs/gentoo.1x $RPM_BUILD_ROOT%{_mandir}/man1
install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Utilities
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS CREDITS ChangeLog NEWS README* TODO docs
%config %{_sysconfdir}/*
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_applnkdir}/Utilities/gentoo.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gentoo.spec,v $
Revision 1.44  2002/09/07 19:15:11  kloczek
- (auto)upated to 0.11.34: mainly bug fixes.

Revision 1.43  2002/09/01 19:30:10  krolik
- updated to 0.11.33 version, enjoy ;)

Revision 1.42  2002/07/20 22:37:53  maryush
- updated to 0.11.30

Revision 1.41  2002/07/17 19:33:27  kloczek
- updated to 0.11.28,
- added using %%find_lang macro.

Revision 1.40  2002/07/03 09:24:04  wolf
- spelling

Revision 1.39  2002/06/23 22:17:59  kloczek
- updated to 0.11.27 (bug fixes and cleanups for gettextize in future).

Revision 1.38  2002/06/16 18:30:42  kloczek
- updated to 0.11.26 (bug fixes).

Revision 1.37  2002/06/06 01:04:29  kloczek
- updated to 0.11.25.

Revision 1.36  2002/05/21 23:13:08  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.35  2002/05/11 18:34:03  kloczek
- updated to 0.11.24.

Revision 1.34  2002/04/25 16:22:24  arturs
fixed a small typo

Revision 1.33  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.32  2002/03/23 02:49:26  kloczek
- updated to 0.11.22.

Revision 1.31  2002/02/25 04:38:46  kloczek
- added png Icon for desktop file.

Revision 1.30  2002/02/23 02:17:43  kloczek
- adapterized.

Revision 1.29  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.28  2002/02/21 00:19:33  kloczek
- updated to 0.11.19 (mostly bugfix release).

Revision 1.27  2002/02/03 20:45:39  ankry
- adding es/pt/pt_BR Group translations

Revision 1.26  2002/01/18 02:13:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/10/16 19:15:21  kloczek
- updated to 0.11.18.

Revision 1.24  2001/09/20 07:07:38  kloczek
- updated Source url, %build, %intall and %files list.

Revision 1.23  2001/09/19 12:59:06  ankry
- updated source URL
- updated version to 0.11.17, which source is available

Revision 1.22  2001/05/02 16:29:02  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.21  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.20  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.19  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.18  2000/04/17 16:51:14  kloczek
- updated to 0.11.14,
- spec adapterized,
- removed outdated config patch.

Revision 1.17  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.15  1999/11/23 19:21:05  pius
- updated to 0.11.11

Revision 1.14  1999/11/04 11:00:53  pius
- updated to 0.11.10
- small fixes

Revision 1.13  1999/09/11 18:59:18  pius
- updated to 0.11.9,
- s/CFLAGS/DEBUG/ in %build,
- cosmetics.

Revision 1.12  1999/09/04 09:13:10  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.11  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.10  1999/07/12 23:05:57  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jun 28 1999 Piotr Czerwiski <pius@pld.org.pl>
  [0.11.8-1]
- updated to 0.11.8,
- added gentoo.desktop instead of wmconfig file,
- minor fixes.

* Thu May 20 1999 Piotr Czerwiski <pius@pld.org.pl>
  [0.11.6-1]
- package is FHS 2.0 compliant,
- spec file rewritten for PLD use,
- based on spec written by Ryan Weaver <ryanw@infohwy.com>.
